Open Lighting Architecture: ola::plugin::usbdmx::SyncronizedWidgetObserver Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::SyncronizedWidgetObserver Class Reference

## Detailed Description

Transfers widget add/remove events to another thread.

The SyncronizedWidgetObserver ensures that all widget add/removed events are handled in the thread that created the SyncronizedWidgetObserver object.

Inheritance diagram for ola::plugin::usbdmx::SyncronizedWidgetObserver:

## Public Member Functions
| SyncronizedWidgetObserver (WidgetObserver *observer, ola::io::SelectServerInterface *ss)
| Create a new SyncronizedWidgetObserver.
bool | NewWidget (class AnymauDMX *widget)
| Called when a new AnymauDMX is added.
bool | NewWidget (class DMXCProjectsNodleU1 *widget)
| Called when a new DMXCProjects Nodle U1 widget is added.
bool | NewWidget (class EurolitePro *widget)
| Called when a new EurolitePro is added.
bool | NewWidget (ola::usb::JaRuleWidget *widget)
| Called when a new Ja Rule widget is added.
bool | NewWidget (class ScanlimeFadecandy *widget)
| Called when a new ScanlimeFadecandy is added.
bool | NewWidget (class Sunlite *widget)
| Called when a new Sunlite is added.
bool | NewWidget (class VellemanK8062 *widget)
| Called when a new VellemanK8062 is added.

## Constructor & Destructor Documentation

## ◆ SyncronizedWidgetObserver()

ola::plugin::usbdmx::SyncronizedWidgetObserver::SyncronizedWidgetObserver | ( | WidgetObserver * | observer,
|  | ola::io::SelectServerInterface * | ss )

Create a new SyncronizedWidgetObserver.

Parameters

  observer | the observer to notify on add/remove events.
  ss | The ss to use the schedule events on.

## Member Function Documentation

## ◆ NewWidget() [1/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | class AnymauDMX * | widget | ) |
| inlinevirtual

Called when a new AnymauDMX is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [2/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | class DMXCProjectsNodleU1 * | widget | ) |
| inlinevirtual

Called when a new DMXCProjects Nodle U1 widget is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [3/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | class EurolitePro * | widget | ) |
| inlinevirtual

Called when a new EurolitePro is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [4/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | class ScanlimeFadecandy * | widget | ) |
| inlinevirtual

Called when a new ScanlimeFadecandy is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [5/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | class Sunlite * | widget | ) |
| inlinevirtual

Called when a new Sunlite is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [6/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | class VellemanK8062 * | widget | ) |
| inlinevirtual

Called when a new VellemanK8062 is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [7/7]

bool ola::plugin::usbdmx::SyncronizedWidgetObserver::NewWidget | ( | ola::usb::JaRuleWidget * | widget | ) |
| inlinevirtual

Called when a new Ja Rule widget is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

The documentation for this class was generated from the following files:

- plugins/usbdmx/SyncronizedWidgetObserver.h
- plugins/usbdmx/SyncronizedWidgetObserver.cpp